×

INDI Library v1.9.6 Released (21 May 2022)

Bi-monthly INDI Library released with new drivers and bug fixes.

Orion XX14G Dobsonian and INDI

  • Posts: 8
  • Thank you received: 1
Hi, am new to INDI so first off, some great work!

I was wondering whether anyone had any success getting the Orion XX14G Dbsonian working with INDI and a RPi2?

So far, I've managed to get the RPi2 set up with Ubuntu, but when I try to connect to the Dob the only INDI driver that seems to work is either indi_celestron_gps (the indi_synscan driver keeps giving an error in the cli and won't connect). The indi_celestron_gps driver also has a couple of wobbles, first off it doesn't detect the mount co-ordinates and second, if you park the scope it doesn't unpark (the server log complains about the firmware version).
7 years 1 week ago #4442

Please Log in or Create an account to join the conversation.

  • Posts: 8
  • Thank you received: 1
I may have ha some success with this, a new insall of Ubuntu Mate and a new install of INDI. So far, things seem to behave properly, so fingers crossed for some clear skies and we'll see.

One problem I did have with RPi2 install was Kstars-bleeding. I added the repository and sudo apt-get update, but when I try to install Kstars-bleeding I get the following error:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
kstars-bleeding : Depends: libkf5configcore5 (>= 4.98.0) but it is not going to be installed
Depends: libkf5configgui5 (>= 4.97.0) but it is not going to be installed
Depends: libkf5configwidgets5 (>= 4.98.0) but it is not going to be installed
Depends: libkf5coreaddons5 (>= 4.100.0) but it is not going to be installed
Depends: libkf5i18n5 (>= 4.97.0) but it is not going to be installed
Depends: libkf5iconthemes5 (>= 5.0.0) but it is not going to be installed
Depends: libkf5kiocore5 (>= 4.96.0) but it is not going to be installed
Depends: libkf5kiofilewidgets5 (>= 4.96.0) but it is not going to be installed
Depends: libkf5kiowidgets5 (>= 4.96.0) but it is not going to be installed
Depends: libkf5newstuff5 (>= 4.95.0) but it is not going to be installed
Depends: libkf5widgetsaddons5 (>= 4.96.0) but it is not going to be installed
Depends: libkf5xmlgui5 (>= 4.98.0) but it is not going to be installed
Depends: kded5 but it is not going to be installed
Depends: kinit but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

So far, everything i've tried to resolve the dependencies fails :(

If possible, I'd prefer to get bleeding to get the latest updates, so any advice welcome.
7 years 6 days ago #4449

Please Log in or Create an account to join the conversation.

Is this Ubuntu Mate 15.04?
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
7 years 5 days ago #4457

Please Log in or Create an account to join the conversation.

  • Posts: 8
  • Thank you received: 1
Yes, is ubuntu 15.04. Fresh install on a RPi2
7 years 5 days ago #4461

Please Log in or Create an account to join the conversation.

  • Posts: 8
  • Thank you received: 1
After 3 hours of (clear skies) tinkering, I couldn't get Kstars/INDI/EKOS to sync up with the dob mount, so over to the experts :)

The Scope/Mount is an Orion XX14G, with a Synscan V4 handset. The Handset is running the latest firmware (V04.36.02)

I've tried both indi_synscan and also Celstron GPS. Errors for both are below:

indi_synscan
==========
2015-06-24T07:25:16: Driver indi_synscan: stdin EOF
2015-06-24T07:25:16: Driver indi_synscan: restart #8
2015-06-24T07:25:16: Driver indi_synscan: pid=1636 rfd=0 wfd=8 efd=11
2015-06-24T07:25:16: Driver indi_synscan: sending <getProperties version='1.7'/>

The RPi2 terminal repeats the message with the restart number incrementing, and Ekos cannot connect to the mount. (have also tried with the handset in PC_Direct mode).

indi_celestron_gps
==============
2015-06-24T07:44:57: Firmwre version 2.3 or higher is required to update location. Current version is 2.2
2015-06-24T07:44:57: Firmwre version 2.3 or higher is required to update time. Current version is 2.2
2015-06-24T07:44:57: Device configuration applied.
2015-06-24T07:44:57: Firmwre version 2.3 or higher is required to update location. Current version is 2.2
2015-06-24T07:44:57: Loading device configuration...
2015-06-24T07:44:57: Mount is unparked.
2015-06-24T07:44:57: Mount does not support sync.
2015-06-24T07:44:57: Failed to retrive firmware information.
2015-06-24T07:44:57: Timeout error
2015-06-24T07:44:52: Telescope is online.


I'm about out of ideas :( The Synscan has the correct site cords set, correct date/time as does the RPi2.

Seems to me that EKOS is unable to query the mount coordinates, so has no idea where the scope is located. :unsure:
7 years 5 days ago #4465

Please Log in or Create an account to join the conversation.

if you have TeamViewer installed, I can check it out. Email me at mutlaqja AT ikarustech DOT com
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
The following user(s) said Thank You: Bubbason
7 years 5 days ago #4467

Please Log in or Create an account to join the conversation.

  • Posts: 8
  • Thank you received: 1
Good news, after updates applied and a fake align(in bright sunshine) Kstars can see the dob and is also controlling it!!

Although synscan desn't support SYNC, this should be enough for now until I'm brave enough to make the move to EQMod :D

I've put in my order for clear skies tonight, and am looking forward to testing this out properly.
;)
7 years 5 days ago #4471

Please Log in or Create an account to join the conversation.

Time to create page: 0.542 seconds